/**
 * Returns `true` if the keyboard event was triggered by the `Enter` key
 */
function isTabKey(event) {
    return event.key === 'Tab';
}
/**
 * Returns `true` if the keyboard event was triggered by the `Enter` key
 */
function isEnterKey(event) {
    return event.key === 'Enter';
}
/**
 * Returns `true` if the keyboard event was triggered by the `Space` key
 */
function isSpaceKey(event) {
    return event.key === ' ';
}
/**
 * Returns `true` if the keyboard event was triggered by the `Escape` key
 */
function isEscapeKey(event) {
    return event.key === 'Escape';
}
/**
 * Returns `true` if the keyboard event was triggered by the `Backspace` key
 */
function isBackspaceKey(event) {
    return event.key === 'Backspace';
}
/**
 * Returns `true` if the keyboard event was triggered by the `ArrowDown` key
 */
function isArrowDownKey(event) {
    return event.key === 'ArrowDown' || event.key === 'Down';
}
/**
 * Returns `true` if the keyboard event was triggered by the `ArrowUp` key
 */
function isArrowUpKey(event) {
    return event.key === 'ArrowUp' || event.key === 'Up';
}
/**
 * Returns `true` if the keyboard event was triggered by the `ArrowLeft` key
 */
function isArrowLeftKey(event) {
    return event.key === 'ArrowLeft' || event.key === 'Left';
}
/**
 * Returns `true` if the keyboard event was triggered by the `ArrowRight` key
 */
function isArrowRightKey(event) {
    return event.key === 'ArrowRight' || event.key === 'Right';
}
/**
 * Returns `true` if the keyboard event was triggered by the `Home` key
 */
function isHomeKey(event) {
    return event.key === 'Home';
}
/**
 * Returns `true` if the keyboard event was triggered by the `End` key
 */
function isEndKey(event) {
    return event.key === 'End';
}

export { isSpaceKey as a, isArrowDownKey as b, isArrowUpKey as c, isEscapeKey as d, isTabKey as e, isBackspaceKey as f, isArrowLeftKey as g, isArrowRightKey as h, isEnterKey as i, isHomeKey as j, isEndKey as k };
